Create a webhook subscription
POST
/v1/webhooks
import requests
resp = requests.post( "https://api.ultimateteam.ai/v1/webhooks", headers={"X-API-Key": "utk_live_YOUR_KEY"},)print(resp.json())const resp = await fetch("https://api.ultimateteam.ai/v1/webhooks", { method: "POST", headers: {"X-API-Key": "utk_live_YOUR_KEY"},});const data = await resp.json();console.log(data);curl -X POST https://api.ultimateteam.ai/v1/webhooks \ -H "X-API-Key: utk_live_YOUR_KEY"Register a new HTTPS endpoint to receive event notifications. The signing secret is returned exactly once in this response – store it immediately. Subsequent reads of the subscription do not surface the secret.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Create Webhook V1 Webhooks Post
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}